Bug 185935 - graphics/GraphicsMagick13: Update to version 1.3.19
Summary: graphics/GraphicsMagick13: Update to version 1.3.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 18:40 UTC by tkato432
Modified: 2014-02-07 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (9.70 KB, patch)
2014-01-20 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-20 18:40:01 UTC
- Update to version 1.3.19

Remove file:
files/extra-patch-Makefile.in
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-07 13:10:03 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-07 13:10:30 UTC
Author: miwi
Date: Fri Feb  7 13:10:20 2014
New Revision: 343233
URL: http://svnweb.freebsd.org/changeset/ports/343233
QAT: https://qat.redports.org/buildarchive/r343233/

Log:
  - Update to 1.3.19
  
  PR:		185935
  Submitted by:	Ports Fury

Deleted:
  head/graphics/GraphicsMagick13/files/extra-patch-Makefile.in
Modified:
  head/graphics/GraphicsMagick13/Makefile
  head/graphics/GraphicsMagick13/distinfo
  head/graphics/GraphicsMagick13/files/patch-configure
  head/graphics/GraphicsMagick13/pkg-plist

Modified: head/graphics/GraphicsMagick13/Makefile
==============================================================================
--- head/graphics/GraphicsMagick13/Makefile	Fri Feb  7 13:08:43 2014	(r343232)
+++ head/graphics/GraphicsMagick13/Makefile	Fri Feb  7 13:10:20 2014	(r343233)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	GraphicsMagick
-PORTVERSION=	1.3.18
-PORTREVISION=	1
+PORTVERSION=	1.3.19
 CATEGORIES=	graphics
 MASTER_SITES=	SF \
 		ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/
@@ -13,55 +12,64 @@ PKGNAMESUFFIX=	13
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Fast image processing tools based on ImageMagick
 
-LIB_DEPENDS=	libfreetype.so:${PORTSDIR}/print/freetype2	\
-		libpng15.so:${PORTSDIR}/graphics/png		\
-		libjbig.so:${PORTSDIR}/graphics/jbigkit		\
+LIB_DEPENDS=	libjbig.so:${PORTSDIR}/graphics/jbigkit		\
 		libjasper.so:${PORTSDIR}/graphics/jasper	\
 		libjpeg.so:${PORTSDIR}/graphics/jpeg		\
-		liblcms.so:${PORTSDIR}/graphics/lcms		\
+		liblcms2.so:${PORTSDIR}/graphics/lcms2		\
+		libpng15.so:${PORTSDIR}/graphics/png		\
 		libtiff.so:${PORTSDIR}/graphics/tiff		\
-		libxml2.so:${PORTSDIR}/textproc/libxml2
+		libfreetype.so:${PORTSDIR}/print/freetype2
 
 CONFLICTS=	GraphicsMagick-1.[12].* GraphicsMagick12-*
 
-OPTIONS_DEFINE=	Q8BIT FPX OPENMP SSE TESTS X11 DOCS
-
-Q8BIT_DESC=	Use 8-bit pixels (speed) instead of 16 (quality)
-DPS_DESC=	Enable Display Ghostscript support
-TESTS_DESC=	Run bundled self-tests after build
-
-OPTIONS_DEFAULT=FPX DPS OPENMP X11 TESTS DOCS
-OPTIONS_SINGLE=	X11
-OPTIONS_SINGLE_X11=	DPS
-
 PORTSCOUT=	limit:^1\.3\.
 
-USES=		iconv
-USE_AUTOTOOLS=	libtool libltdl
 USE_BZIP2=	yes
+USES=		iconv
+USE_GNOME=	libxml2
 USE_GHOSTSCRIPT=yes
 GNU_CONFIGURE=	yes
-
+CONFIGURE_ENV=	PTHREAD_CFLAGS=" " PTHREAD_LIBS="-pthread"
 CONFIGURE_ARGS=	--without-perl --enable-shared --enable-static \
-		--with-ltdl-include=${LOCALBASE}/include \
-		--with-ltdl-lib=${LOCALBASE}/lib
-CONFIGURE_ENV=	PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" PTHREAD_LIBS="${PTHREAD_LIBS}"
+		--with-quantum-depth="${QD}" \
+		--with-windows-font-dir="${WINDOWS_FONT_DIR}"
 USE_LDCONFIG=	yes
 
-ALL_TARGET=	-j`${SYSCTL} -n hw.ncpu`
+PLIST_SUB=	Q="${QD}"
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-test check:
-	cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} check
+OPTIONS_DEFINE=		DOCS FPX OPENMP Q8BIT SSE TESTS WEBP X11
+OPTIONS_SINGLE=		X11
+OPTIONS_SINGLE_X11=	DPS
+OPTIONS_DEFAULT=	DPS OPENMP TESTS WEBP X11
+
+DPS_DESC=		Enable Display Ghostscript support
+DPS_LIB_DEPENDS=	libdps.so:${PORTSDIR}/x11/dgs
+DPS_USE=		XORG=xt
+DPS_CONFIGURE_WITH=	dps
+FPX_LIB_DEPENDS+=	libfpx.so.[2-9]:${PORTSDIR}/graphics/libfpx
+FPX_CONFIGURE_WITH=	fpx
+OPENMP_USES=		compiler:openmp
+OPENMP_CONFIGURE_ON=	--with-threads --enable-openmp --disable-openmp-slow
+OPENMP_CONFIGURE_OFF=	--without-threads --disable-openmp
+Q8BIT_DESC=		Use 8-bit pixels (speed) instead of 16 (quality)
+TESTS_DESC=		Run bundled self-tests after build
+TESTS_BUILD_DEPENDS=	webfonts>0:${PORTSDIR}/x11-fonts/webfonts
+TESTS_RUN_DEPENDS=	webfonts>0:${PORTSDIR}/x11-fonts/webfonts
+WEBP_LIB_DEPENDS=	libwebp.so:${PORTSDIR}/graphics/webp
+WEBP_CONFIGURE_WITH=	webp
+X11_LIB_DEPENDS=	libwmflite.so:${PORTSDIR}/graphics/${LIBWMF_PORT}
+X11_USE=		XORG=xext
+X11_CONFIGURE_WITH=	x
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MDOCS} == ""
-# Get rid of the Makefile targets that install the documentation
-# and HTML files into DOCSDIR
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-Makefile.in
+.if ${PORT_OPTIONS:MQ8BIT}
+QD=		8
+.else
+QD=		16
 .endif
 
 .if ${PORT_OPTIONS:MSSE}
@@ -76,60 +84,27 @@ CFLAGS+=	-msse3
 .endif
 .endif
 
-.if ${PORT_OPTIONS:MFPX}
-LIB_DEPENDS+=		libfpx.so.[2-9]:${PORTSDIR}/graphics/libfpx
-CONFIGURE_ARGS+=	--with-fpx
+.if ${PORT_OPTIONS:MX11}
+LIBWMF_PORT=	libwmf
 .else
-CONFIGURE_ARGS+=	--without-fpx
+LIBWMF_PORT=	libwmf-nox11
 .endif
 
-.if ${PORT_OPTIONS:MDPS}
-USE_XORG+=		xt
-LIB_DEPENDS+=		libdps.so:${PORTSDIR}/x11/dgs
-CONFIGURE_ARGS+=	--with-dps
-.else
-CONFIGURE_ARGS+=	--without-dps
-.endif
+.include <bsd.port.pre.mk>
 
-.if ${PORT_OPTIONS:MOPENMP}
-.if ${OSVERSION} < 700042
-IGNORE=		does not support OpenMP on FreeBSD version ${OSVERSION}
+.if ${OSVERSION} >= 1000024
+.if ${PORT_OPTIONS:MFPX} && ${PORT_OPTIONS:MOPENMP}
+IGNORE=		Cause C++ ABI conflict between clang/libc++ and gcc/libstdc++
 .endif
-
-LDFLAGS+=		${PTHREAD_LIBS}
-CONFIGURE_ARGS+=	--with-threads --enable-openmp --disable-openmp-slow
-.else
-CONFIGURE_ARGS+=	--without-threads --disable-openmp
 .endif
 
-.ifndef WINDOWS_FONT_DIR
+.if !defined(WINDOWS_FONT_DIR)
 # Use fonts installed by x11-fonts/webfonts by default
 WINDOWS_FONT_DIR=${LOCALBASE}/lib/X11/fonts/webfonts
 .endif
 
-.if defined(WITH_WINDOWS_FONT_DIR)
-CONFIGURE_ARGS+=	--with-windows-font-dir="${WINDOWS_FONT_DIR}"
-.endif
-
-.if ${PORT_OPTIONS:MX11} == ""
-CONFIGURE_ARGS+=--without-x
-LIB_DEPENDS+=	libwmflite.so:${PORTSDIR}/graphics/libwmf-nox11
-.else
-USE_XORG+=		xext
-LIB_DEPENDS+=	libwmflite.so:${PORTSDIR}/graphics/libwmf
-.endif
-
-.if ${PORT_OPTIONS:MQ8BIT}
-CONFIGURE_ARGS+=	--with-quantum-depth=8
-QD=			8
-.else
-CONFIGURE_ARGS+=	--with-quantum-depth=16
-QD=			16
-.endif
-PLIST_SUB+=		Q=${QD}
-
 .if ${PORT_OPTIONS:MTESTS}
-post-build::	test
+post-build:: regression-test
 .else
 post-build::
 	#
@@ -139,7 +114,12 @@ post-build::
 .endif
 
 post-install:
-	${MKDIR} ${STAGEDIR}${PREFIX}/lib/GraphicsMagick/modules-Q${QD}/coders	\
-		${STAGEDIR}${PREFIX}/lib/GraphicsMagick/modules-Q${QD}/filters
+.for i in coders filters
+	@${MKDIR} ${STAGEDIR}${PREFIX}/lib/GraphicsMagick/modules-Q${QD}/${i}
+.endfor
+
+regression-test: do-build
+	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_FLAGS} \
+		${MAKEFILE} ${MAKE_ARGS} check)
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/graphics/GraphicsMagick13/distinfo
==============================================================================
--- head/graphics/GraphicsMagick13/distinfo	Fri Feb  7 13:08:43 2014	(r343232)
+++ head/graphics/GraphicsMagick13/distinfo	Fri Feb  7 13:10:20 2014	(r343233)
@@ -1,2 +1,2 @@
-SHA256 (GraphicsMagick-1.3.18.tar.bz2) = 768b89a685d29b0e463ade21bc0649f2727800ebc5a8e13fa6fc17ccb9da769b
-SIZE (GraphicsMagick-1.3.18.tar.bz2) = 7259418
+SHA256 (GraphicsMagick-1.3.19.tar.bz2) = b57cdeb1ab9492b667776bbbc265149eda5601d2c572d65f43b44273e892fff1
+SIZE (GraphicsMagick-1.3.19.tar.bz2) = 7252296

Modified: head/graphics/GraphicsMagick13/files/patch-configure
==============================================================================
--- head/graphics/GraphicsMagick13/files/patch-configure	Fri Feb  7 13:08:43 2014	(r343232)
+++ head/graphics/GraphicsMagick13/files/patch-configure	Fri Feb  7 13:10:20 2014	(r343233)
@@ -1,6 +1,6 @@
 --- configure.orig	2013-03-10 00:21:59.000000000 +0100
 +++ configure	2013-12-27 11:48:19.000000000 +0100
-@@ -24580,15 +24580,16 @@
+@@ -24637,15 +24637,16 @@
      # Cygwin doesn't deliver -lXt as a DLL, which prevents a DLL build.
      # Adobe DPS (as delivered on Solaris) doesn't require -lXt.
      # GraphicsMagick itself doesn't use -lXt.
@@ -19,16 +19,7 @@
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
  /* end confdefs.h.  */
  
-@@ -26059,7 +26060,7 @@
- fi
- 
- 
--    ac_fn_c_check_header_compile "$LINENO" "freetype/freetype.h" "ac_cv_header_freetype_freetype_h" "$FT2BUILD_H
-+    ac_fn_c_check_header_compile "$LINENO" "freetype.h" "ac_cv_header_freetype_freetype_h" "$FT2BUILD_H
- "
- if test "x$ac_cv_header_freetype_freetype_h" = xyes; then :
-   have_freetype_h='yes'
-@@ -26935,7 +26936,7 @@
+@@ -27095,7 +27096,7 @@
  #
  
  # Subdirectory under lib to place GraphicsMagick lib files
@@ -37,7 +28,7 @@
  
  cat >>confdefs.h <<_ACEOF
  #define MagickLibSubdir "$MagickLibSubdir"
-@@ -27039,7 +27040,7 @@
+@@ -27199,7 +27200,7 @@
  
  #
  # Path to GraphicsMagick share files

Modified: head/graphics/GraphicsMagick13/pkg-plist
==============================================================================
--- head/graphics/GraphicsMagick13/pkg-plist	Fri Feb  7 13:08:43 2014	(r343232)
+++ head/graphics/GraphicsMagick13/pkg-plist	Fri Feb  7 13:10:20 2014	(r343233)
@@ -89,6 +89,9 @@ lib/GraphicsMagick/config/type-ghostscri
 lib/GraphicsMagick/config/type-solaris.mgk
 lib/GraphicsMagick/config/type-windows.mgk
 lib/GraphicsMagick/config/type.mgk
+@exec mkdir -p %D/lib/GraphicsMagick/modules-Q%%Q%%
+@exec mkdir -p %D/lib/GraphicsMagick/modules-Q%%Q%%/coders
+@exec mkdir -p %D/lib/GraphicsMagick/modules-Q%%Q%%/filters
 lib/libGraphicsMagick++.a
 lib/libGraphicsMagick++.la
 lib/libGraphicsMagick++.so
@@ -289,7 +292,6 @@ man/man5/quantize.5.gz
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/config
 @dirrm %%DATADIR%%
-@dirrmtry libdata/pkgconfig
 @dirrm lib/GraphicsMagick/modules-Q%%Q%%/filters
 @dirrm lib/GraphicsMagick/modules-Q%%Q%%/coders
 @dirrm lib/GraphicsMagick/modules-Q%%Q%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"